Returns status for a message sent to a group of mobile numbers.
URL Parameters
| Name | Type | Description |
|---|---|---|
messageId |
String | Message Id provided for the messageList |
tokenId |
String | Token Id returned for the messageList |
Usage
This sample request shows how to retrieve the status of an SMS send.
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/messageList/MESSAGE_ID/deliveries/TOKEN_ID
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
The response contains information about the specified send.
{
"message": "Test Delivery Receipt",
"count": 1,
"createDate": "2013-04-25T15:01:04.147",
"completeDate": "2013-04-25T15:01:55.197",
"status": "Finished",
"tracking": [
{
"mobileNumber": "15555555510",
"statusCode": "20",
"message": "NA"
}
]
}
The response includes this information about the send:
-
message- : The message text sent in the SMS message
-
count- : The total number of mobile numbers included in the send request subtracting the number of unsubscribed recipients
-
createdDate- : Date when the MessageContact send was submitted, returned in CST
-
createdDate- : Date when the send completed, returned in CST
-
status-
: The status of the send. Possible values:
FinishedErrorNewQueuingStarted
-
If the request includes an invalid messageId or tokenId, the API returns an HTTP 400 response that describes the error.
{
"errors" : ["Message id cI217sdksi3 is not valid."]
}
| Message | Details |
|---|---|
| Message id {0} isn't valid. | The messageID value provided in the URL wasn't in a valid format. |
| "Token id {0} isn't valid." | The tokenId value provided in the URL wasn't in a valid format. |
| Token id {0} isn't valid for this client. | The tokenId value provided is valid but was created for another client. |
| TokenId {0} isn't valid for MessageId {1}. | The tokenId value provided is valid for your account but not for the MessageId provided. |
| An unexpected error occurred, please contact Customer Support with reference id {0}. | If this unexpected error is presented when making a call, please take note of the reference id value returned in the error and contact ExactTarget Global Support for more information. |